# Non-sponsored transactions

If you want to send a userOperation without sponsorship from a Paymaster, you need to pass the flag `noSponsorship: true` in the config.

{% hint style="info" %}
IMP - Please ensure the Smart Account has enough native currency to pay for gas if you're doing this.
{% endhint %}

```
const bastion = new Bastion();
const bastionConnect = await bastion.bastionConnect;

const CONFIG = {
	chainId: <chain_id>, // optional
	privateKey: <your_private_key>, //optional
	rpcUrl: <RPC_URL>, //optional
	apiKey: <your_api_key>, //required
	noSponsorship: true,
};			
bastionConnect.init(<your_web3Provider>, CONFIG);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bastionwallet.io/bastion-sdk/guides/non-sponsored-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
